# Interest Rate Model

The adaptive interest rate model in Tarot determines Borrow and Supply APRs for each lending pool. All lending pools are isolated, and each borrowable pool uses its own interest rate model that acts independently from all other borrowable pools.

Similar to protocols like Aave and Compound, Tarot uses a “kinked” interest rate model with a single adjustable parameter (*kinkUtilizationRate*, ranging from 70% to 90%) to be adjusted by governance.

Utilization rate is the percentage of tokens supplied by lenders to a lending pool that are currently utilized by borrowers in outstanding loans. Depending on the current utilization rate (*utilizationRate*) of a borrowable pool, the borrow rate (*borrowRate*) is determined by the following parameters:

* *utilizationRate* = 0 implies *borrowRate* = 0;
* *utilizationRate* = *kinkUtilizationRate* implies *borrowRate* = *kinkBorrowRate;*
* *utilizationRate* = 100% implies *borrowRate* = 5 \* *kinkBorrowRate.*

The *kinkBorrowRate* is updated between blocks on a per-second basis using the previous *borrowRate* for the borrowable pool. This ensures Borrow and Supply APRs are determined according to the supply and demand equilibrium for each lending pool.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarot.to/tarot-protocol/interest-rate-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
